<?xml version="1.0" encoding="UTF-8"?>
<!--

    (c) https://github.com/MontiCore/monticore

    The license generally applicable for this project
    can be found under https://github.com/MontiCore/monticore.

-->

<settings xmlns="http://maven.apache.org/SETTINGS/1.0.0"
          xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
          xsi:schemaLocation="http://maven.apache.org/SETTINGS/1.0.0 http://maven.apache.org/xsd/settings-1.0.0.xsd">

  <pluginGroups>
	<pluginGroup>org.mortbay.jetty</pluginGroup>
	<pluginGroup>de.topobyte</pluginGroup>
  </pluginGroups>

  <proxies>
  </proxies>

  <servers>
    <server>
      <id>se-nexus</id>
      <username>cibuild</username>
      <password>${env.cibuild}</password>
    </server> 

     <server>
      <id>github</id>
      <username>travisbuilduser</username>
      <password>${env.travisbuilduserpassword}</password>
    </server>
  </servers>

  <mirrors>
    <mirror>
      <id>se-nexus</id>
      <mirrorOf>external:*</mirrorOf>
      <url>https://nexus.se.rwth-aachen.de/content/groups/public</url>
    </mirror>	 
    <mirror>
      <id>topobyte-repository</id>
      <mirrorOf>topobyte</mirrorOf>
      <url>http://mvn.topobyte.de/</url>
    </mirror>	 
  </mirrors>

  <profiles>
  <profile>
            <id>sonar</id>
            <activation>
                <activeByDefault>true</activeByDefault>
            </activation>
            <properties>
                <!-- Optional URL to server. Default value is http://localhost:9000 -->
                <sonar.host.url>
                  https://metric.se.rwth-aachen.de
                </sonar.host.url>
				<sonar.login>
					jenkins
				</sonar.login>
				<sonar.password>
					${env.sonar}
				</sonar.password>
            </properties>
        </profile>
    <profile>
      <id>se-nexus</id>
      
      
    </profile>
  </profiles>

  <activeProfiles>
    <activeProfile>se-nexus</activeProfile>
  </activeProfiles>  
</settings>
